html {
  height: 100%;
}

body {
  width: 100%;
  height: 100%;
  min-width: 1000px;
  min-height: 832px;
  margin:0;
  padding:0;
  -webkit-user-select: none;
}

hr {
  width: 50%;
  color: white;
}

.centre {
  text-align: center;
}

.ecran-blanc {
  opacity: 0.5;
}

.aide {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 50%;
  left: 30%;
  top: 15%;
  box-sizing: border-box;
  border: solid black 1px;
  background-color:#e1e3d6;;
  padding: 0 2% 2% 2%;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.5), 0 6px 20px 0 rgba(0,0,0,0.2);
}

.zoneElements {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  width: 100%;
  height: 18%;
  padding: 5px;
  background-color: #354e4f;
  border-color: white;
  border-style: solid;
  border-top-width: 10px;
  border-left-width: 10px;
  border-bottom-width: 5px;
  border-right-width: 10px;
}

.zoneElements_element {
  margin: 5px;
}

.zoneElements_element--petitCarre,
.zoneElements_element--petitCercle {
  width: 25px;
  height: 25px;
}

.zoneElements_element--grandCarre,
.zoneElements_element--grandCercle {
  width: 50px;
  height: 50px;
}

.zoneElements_element--petitRectV {
  width: 12px;
  height: 20px;
}

.zoneElements_element--grandRectV {
  width: 25px;
  height: 40px;
}

.zoneElements_element--petitRectH {
  width: 25px;
  height: 10px;
}

.zoneElements_element--grandRectH {
  width: 50px;
  height: 20px;
}

.zoneElements_element--petitTri{
  width: 25px;
  height: 15px;
}

.zoneElements_element--grandTri {
  width: 50px;
  height: 30px;
}

.zoneActions {
  display: flex;
  width: 100%;
  height: 82%;
}

.zoneActions_zoneGauche {
  display: flex;
  flex-direction: column;
  width: 18%;
  height: 100%;
  padding: 10px;
  background-color: #354e4f;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 5px;
  border-left-width: 10px;
  border-bottom-width: 10px;
  border-right-width: 5px;
}

.zoneActions_zoneGauche_choixDessins {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  height: 80%;
}

.zoneActions_zoneGauche_choixLibres {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  height: 20%;
}

.zoneActions_zoneGauche_choixDessins_bouton,
.zoneActions_zoneGauche_choixLibres_bouton {
  /* width: 40%; */
  font-size: 1.5vmin;
  border: none;
}

.zoneActions_zoneGauche_choixDessins_bouton:active,
.zoneActions_zoneGauche_choixDessins_bouton--selected {
  background-color: #e4a20f;
  color: white;
  border: none;
}

.zoneActions_zoneDroite {
  display: flex;
  flex-direction: column;
  width: 82%;
  height: 100%;
}

.zoneActions_zoneDroite_zoneCanvas {
  width: 100%;
  height: 90%;
  display: flex;
  background-color: #c1d3d8;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 5px;
  border-left-width: 5px;
  border-bottom-width: 5px;
  border-right-width: 10px;
}

.zoneActions_zoneDroite_zoneCanvas_canvas {
  margin: auto;
  background-color: white;
  border: 1px solid black;
}

.zoneActions_zoneDroite_options {
  display: flex;
/*   flex-direction: row;
  justify-content: center;
  align-items: center; */
  width: 100%;
  height: 10%;
  background-color: #354e4f;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 5px;
  border-left-width: 5px;
  border-bottom-width: 10px;
  border-right-width: 10px;
}

.zoneActions_zoneDroite_options_formOptions {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 90%;
}

.zoneActions_zoneDroite_options_formOptions_radio {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  border: 1px solid white;
  transition: 0.2s all linear;
  margin-right: 5px;
  position: relative;
}

.zoneActions_zoneDroite_options_formOptions_label {
  margin-right: 15px;
  color: white;
}

.zoneActions_zoneDroite_options_formOptions_radio:checked {
  border: 6px solid white;
}

.zoneActions_zoneDroite_options_radio:checked + label {
  color: white;
  /* padding: 5px; */
  text-decoration: underline;
}

.zoneActions_zoneDroite_options_formOptions_radio:hover {
  cursor: pointer;
}
.zoneActions_zoneDroite_options_formOptions_label:hover {
  cursor: pointer;
}

.zoneActions_zoneDroite_options_boutons {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  width: 10%;
}

.zoneActions_zoneDroite_options_boutons_bouton {
  height: 50%;
}
